curl -X GET "https://scrape.st/telegram/search?q=crypto&limit=20" \
-H "x-api-key: YOUR_API_KEY"
{
"total": 1500,
"messages": [
{
"id": 123456,
"text": "Bitcoin is pumping today!",
"date": 1714567890,
"channelId": "1001234567",
"channelTitle": "Crypto News",
"fromId": "987654321",
"views": 5000,
"forwards": 120,
"hasMedia": true,
"mediaType": "photo"
}
]
}
Telegram Queries
Global Search
Search Telegram globally by query string
GET
/
telegram
/
search
curl -X GET "https://scrape.st/telegram/search?q=crypto&limit=20" \
-H "x-api-key: YOUR_API_KEY"
{
"total": 1500,
"messages": [
{
"id": 123456,
"text": "Bitcoin is pumping today!",
"date": 1714567890,
"channelId": "1001234567",
"channelTitle": "Crypto News",
"fromId": "987654321",
"views": 5000,
"forwards": 120,
"hasMedia": true,
"mediaType": "photo"
}
]
}
Search for messages globally across Telegram matching a query string.
Query Parameters
string
required
Search query string (1-1000 characters). You can also use
query instead of
q.number
default:"20"
Number of results to return (1-100)
Response
number
Total number of matching messages found
array
Show properties
Show properties
number
Message ID
string
Message text content
number
Unix timestamp of the message
string | null
ID of the channel
string | null
Title of the channel
string | null
ID of the sender
number | null
Number of views
number | null
Number of forwards
boolean
Whether the message contains media
string | null
Type of media (
photo, video, document, url, or null)curl -X GET "https://scrape.st/telegram/search?q=crypto&limit=20" \
-H "x-api-key: YOUR_API_KEY"
{
"total": 1500,
"messages": [
{
"id": 123456,
"text": "Bitcoin is pumping today!",
"date": 1714567890,
"channelId": "1001234567",
"channelTitle": "Crypto News",
"fromId": "987654321",
"views": 5000,
"forwards": 120,
"hasMedia": true,
"mediaType": "photo"
}
]
}